Skip to main content

Dataset

List datasets

Searches for a list of matching datasets. Each dataset is described by its name and id.

Servers
https://imago.api.seequent.com/integrate/2

Parameters

Search pattern to match dataset names

Determines how the search pattern matches the dataset name. Wildcards '*' can be used with the 'like' match.

Default value: 'equals'.

Allowed values: 'equals', 'startswith', 'endswith', 'includes', 'like'.

Only search within the workspace with this id.

Only search within the workspace with this name.

Return datasets starting at this offset.

Limit how many datasets are returned.

Returns

200

Successful response.

Dataset identifier.

Name of the dataset.

Identifier of the workspace that the dataset belongs to.

Date/time when the dataset was created.

Endpoint

GET
/dataset

Request

curl -X GET 'https://imago.api.seequent.com/integrate/2/dataset' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'

Response

[
{
"id": "054bf4c2-84cc-4d30-b4dc-cc81c77b7f25",
"name": "Dataset-001",
"workspaceId": "71b93d30-8e5f-4b07-9f08-8e6bf5a72a50",
"createdOn": "2022-05-02T01:14:34.366Z"
}
]

Create a dataset

Adds a new dataset to a workspace. If the new dataset already exists in the workspace then no action is taken.

Servers
https://imago.api.seequent.com/integrate/2

Parameters

namestring
Required
workspaceIduuid
Required
36 chars

[
{
"workspaceId": "43c5b45f-913a-483c-9991-4f4766bc0fef",
"name": "Dataset-001"
}
]

Returns

200

Successful response.

Dataset identifier.

Name of the dataset.

Identifier of the workspace that the dataset belongs to.

Date/time when the dataset was created.

Endpoint

POST
/dataset

Request

curl -X POST 'https://imago.api.seequent.com/integrate/2/dataset' \
-H 'Authorization: Bearer <ACCESS_TOKEN>' \
-H 'Content-Type: application/json' \
-d '[
{
"workspaceId": "43c5b45f-913a-483c-9991-4f4766bc0fef",
"name": "Dataset-001"
}
]'

Response

{
"id": "054bf4c2-84cc-4d30-b4dc-cc81c77b7f25",
"name": "Dataset-001",
"workspaceId": "71b93d30-8e5f-4b07-9f08-8e6bf5a72a50",
"createdOn": "2022-05-02T01:14:34.366Z"
}

Get dataset by ID

Retrieves a specific dataset by its ID. Returns the dataset details including name, id, workspaceId, and creation date.

Servers
https://imago.api.seequent.com/integrate/2

Parameters

The ID of the dataset to retrieve.

Returns

200

Successful response.

Dataset identifier.

Name of the dataset.

Identifier of the workspace that the dataset belongs to.

Date/time when the dataset was created.

Endpoint

GET
/dataset/{datasetId}

Request

curl -X GET 'https://imago.api.seequent.com/integrate/2/dataset/{datasetId}' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'

Response

{
"id": "054bf4c2-84cc-4d30-b4dc-cc81c77b7f25",
"name": "Dataset-001",
"workspaceId": "71b93d30-8e5f-4b07-9f08-8e6bf5a72a50",
"createdOn": "2022-05-02T01:14:34.366Z"
}

Assign an Imagery Type to a Dataset

Links the provided imageryTypeId to the provided datasetId.

Servers
https://imago.api.seequent.com/integrate/2

Parameters

The ID of the dataset to link.

The ID of the imagery type to link.

Returns

200

The imagery type was successfully linked to the dataset.

Endpoint

POST
/dataset/{datasetId}/imageryType/{imageryTypeId}

Request

curl -X POST 'https://imago.api.seequent.com/integrate/2/dataset/{datasetId}/imageryType/{imageryTypeId}' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'

Response

No response body.

Was this page helpful?